/* =====================================================
   Tokens globais de tipografia
===================================================== */
*{ box-sizing:border-box; }

:root{
  --font-primary: "Poppins", system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", sans-serif;
  --fw-light: 200;
  --fw-regular: 400;
  --fw-medium: 500;
  --fw-bold: 700;
}

/* =====================================================
   Base do site
===================================================== */

html, body{
  font-family: var(--font-primary);
  font-weight: var(--fw-regular);
  color: #111118;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  margin: 0;
  padding: 0;
  overflow-x: hidden;
}
img, svg{ max-width:100%; height:auto; display:block; }

/* =====================================================
   Utilitários de peso
===================================================== */
.font-light{ font-weight: var(--fw-light); }
.font-regular{ font-weight: var(--fw-regular); }
.font-medium{  font-weight: var(--fw-medium); }
.font-bold{    font-weight: var(--fw-bold); }

/* =====================================================
   Uso semântico (padrão GoFundMe)
===================================================== */

/* Headings */
h1, h2, h3, h4{
  font-weight: var(--fw-bold);
  letter-spacing:-0.3px;
}
.container{
        width:min(1200px, calc(100% - 48px));
        margin:0 auto;
        height: 100%;
    }
@media (max-width: 560px){
      .container{ width: 97%; }
    }

    